Bug 50772 - Make exam mode fully saml compatible
Make exam mode fully saml compatible
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Exam mode
UCS@school 4.4
Other Linux
: P5 normal (vote)
: UCS@school 4.4 v4-errata
Assigned To: Jürn Brodersen
Ole Schwiegert
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-04 10:57 CET by Jürn Brodersen
Modified: 2020-03-24 09:11 CET (History)
3 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürn Brodersen univentionstaff 2020-02-04 10:57:37 CET
Make exam mode fully saml compatible

The umc exam module currently uses the required_password decorator to get the real user password in case the user used saml to login.

It should not be necessary for a user to type the password again after already be logged in.
This decorator also seems to have caused problems for some customers, popping up multiple times or just no working.
Comment 1 Jürn Brodersen univentionstaff 2020-02-05 12:08:41 CET
Development has been committed to "juern/exam_saml"

[juern/exam_saml 310a7604a] Bug #50772: The password dialog for users using saml has been removed
[juern/exam_saml 3f01f9100] Bug #50772: Test exam and computerroom modules with saml
[juern/exam_saml 0ba7811a4] Bug #50772: yaml

I had to refactor the computerroom a little bit to be able to use it directly as a lib. This way we don't need the credentials for a local umc connection to control the computerroom.

QA:
I tested in a single env, please in check in a multi env.
Please test:
- Creating an exam
- Start an exam
- Start an exam in room what is already used by another teacher
- Tests I modified to use saml login: 25_room_management_module, 
101_exam_mode, 101_exam_prepare

Please reopen for merge :)
Comment 2 Ole Schwiegert univentionstaff 2020-02-06 12:19:26 CET
Manual tests look good.
Code review looks good.
Reopen for Merge
Comment 3 Jürn Brodersen univentionstaff 2020-02-06 21:55:59 CET
Merged and build:

[4.4 e8cd94faf] Bug #50772: The password dialog for users using saml has been removed
[4.4 d86080865] Bug #50772: Test exam and computerroom modules with saml
[4.4 5fe435e0e] Bug #50772: yaml
[4.4 deed747ba] Bug #50772: yaml2

Package: ucs-test-ucsschool
Version: 6.0.99A~4.4.0.202002062148
Branch: ucs_4.4-0
Scope: ucs-school-4.4

Package: ucs-school-umc-exam
Version: 9.0.1-24A~4.4.0.202002062150
Branch: ucs_4.4-0
Scope: ucs-school-4.4

Package: ucs-school-umc-computerroom
Version: 11.0.0-15A~4.4.0.202002062152
Branch: ucs_4.4-0
Scope: ucs-school-4.4
Comment 4 Ole Schwiegert univentionstaff 2020-02-10 08:57:45 CET
Tests: OK (90_ucsschool.101_exam_mode_restrict_login.master201 fails, but I could not find a reason that this is connected to this bug. We suspect an issue with the S4 connector and the test env)
Advisory: OK
Package installs: OK
Manual test: OK
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2020-02-13 21:42:37 CET
UCS@school 4.4 v4 has been released.

https://docs.software-univention.de/changelog-ucsschool-4.4v4-de.html

If this error occurs again, please clone this bug.